<?php
session_start();
//RESTRICCI?N DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
include ("fphp.php");
require('fpdf.php');
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace, "select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per='';
if (!$_POST) {
menu();
$entra=0;
echo "<h2>Listados del Personal</h2>";
echo "
		<form name='entrada' action='".$_SERVER['PHP_SELF']."' target='_blank' method='POST' enctype='multipart/form-data'>
		<input type='hidden' name='usuario' value = '".$_SESSION['nombre_validar']."'>
		<table border=2 align='center'>";
		echo "	<tr><td align='right'><font color=red><b>Tipo Reporte:</font></b></td>
				<td align='left'>
					<select style='width:300px;' name='treporte'>
						<option value='1'>Listado por Departamento
						<option value='2'>Listado de Datos Personales
						<option value='3' selected>  Listado de Sueldos y Salarios
						<option value='5'>Listados de Cuentas Bancarias
						<option value='6'>Cumpleaneros del Mes
						<option value='7'>Reporte Especial (campos)
						<option value='8'>Tallas Dotaci&oacute;n

					</select>
				</td>

				<td align='right'>Ordenado Por:</td>
							<td align='left'>
				<select style='width:300px;' name='ordena'>
					<option value='codigo'>CEDULA
					<option value='gerencia'>GERENCIA
					<option value='departamento'>DEPARTAMENTO
					<option value='sso'>RIF
					<option value='fechai'> Fecha Ingreso
				</select>
			</td>

		</tr>";
		echo "</table>";
				echo "<table border=2 align='center'>";
				echo "<td colspan =4 align='center'><h3>Filtrado por:</h3></td>";

				echo "<tr>
							<td align='right'>C&eacute;dula:</td>
			<td align='left'><input style='width:300px;' name='cedula' size = '20' maxlength = '8'></td>
				<td align='right'>Status trabajdores:</td>
				<td align='left'>
					<select style='width:300px;' name='status'><option value='1'>Activos + Contratados
						<option value='A'>Activos
						<option value='V'>Vacaciones
						<option value='S'>Suspendidos por SSO
						<option value='I'>Retirados
						<option value='C'>Contratados
						<option value='T'>Activos + Contratados + Vacaciones + Suspendidos
					</select>
				</td>
				</tr>";


		echo "<tr>";
			echo "<td align = 'right' > Nacionalidad: </td>";
			echo "<td align = 'left'>";
			echo "<select name = 'nacionalidad'><option>";
				echo "<option value='V' > Venezolano(a)";
				echo "<option value='E' > Extranjero(a)";
			echo  "</select></td>";

			echo "<td align = 'right' > Estado Civil: </td>";
			echo "<td align = 'left'>";
			echo "<select name = 'edocivil'><option>";
				echo "<option value='1' >Soltero(a)";
				echo "<option value='2' > Casado(a)";
				echo "<option value='3' > Viudo(a)";
				echo "<option value='4' > Divorciado(a)";
				echo "<option value='5' > Concubino(a)";
			echo  "</select></td>";
		/*
		echo "<tr>";
			cargar_select($enlace, "gerencia","Gerencia");

			cargar_select($enlace, "direccion","Direcci&oacute;n");
			echo "</tr>";
		*/


		echo "<tr>";
			echo "<td align = 'right' > Estado: </td>";
			echo "<td align ='left'>";
			echo "<select name = 'estado'><option>";
					echo "<option value='1' > Amazonas";
					echo "<option value='2' > Anzoategui";
					echo "<option value='3' > Apure";
					echo "<option value='4' > Aragua";
					echo "<option value='5' > Barinas";
					echo "<option value='6' > Bolivar";
					echo "<option value='7' > Carabobo";
					echo "<option value='8' > Cojedes";
					echo "<option value='9' > Delta Amacuro";
					echo "<option value='10' > Distrito Capital";
					echo "<option value='11' > Falcon";
					echo "<option value='12' > Guarico";
					echo "<option value='13' > Lara";
					echo "<option value='14' > Merida";
					echo "<option value='15' > Miranda";
					echo "<option value='16' > Monagas";
					echo "<option value='17' > Nueva Esparta";
					echo "<option value='18' > Portuguesa";
					echo "<option value='19' > Sucre";
					echo "<option value='20' > Tachira";
					echo "<option value='21' > Trujillo";
					echo "<option value='22' > Vargas";
					echo "<option value='23' > Yaracuy";
					echo "<option value='24' > Zulia";
				echo  "</select></td>";

			//cargar_select($enlace, "estado","Estado");  asi estaba antes
			//cargar_select($enlace, "municipio","Municipio");

					cargar_select($enlace, "municipio","municipio");

		echo "</tr>";
		/*
		echo "<tr>";
		cargar_select($enlace, "division","Divisi&oacute;n");
		cargar_select($enlace, "sector","Sector");
		*/

		/*
		echo "<tr>"; cargar_select($enlace, "parroquia","Parroquia");
		cargar_select($enlace, "area","Area");
		*/
		echo "<tr>";
			echo "<td align = 'right' > Forma de Pago: </td>";
			echo "<td align = 'left'>";
			echo "<select name = 'pago'><option>";
				echo "<option value='1' > Efectivo";
				echo "<option value='2' > Banco";
			echo  "</select></td>";

			echo "<td align = 'right' > Entidad Bancaria: </td>";
			echo "<td align = 'left'>";
			echo "<select name = 'banco'>";
				echo "<option >";
				echo "<option value='1' > 100%BANCO";
				echo "<option value='2' > BANCAMIGA BANCO MICROFINANCIERO, C.A.";
				echo "<option value='3' > BANCO AGRICOLA";
				echo "<option value='4' > BANCO BICENTENARIO";
				echo "<option value='5' > BANCO CARONI, C.A. BANCO UNIVERSAL";
				echo "<option value='6' > BANCO DE VENEZUELA";
				echo "<option value='7' > BANCO DEL CARIBE C.A.";
				echo "<option value='8' > BANCO DEL PUEBLO SOBERANO C.A.";
				echo "<option value='9' > BANCO DEL TESORO";
				echo "<option value='10' > BANCO EXTERIOR C.A.";
				echo "<option value='11' > BANCO INDUSTRIAL DE VENEZUELA.";
				echo "<option value='12' > BANCO MERCANTIL C.A.";
				echo "<option value='13' > BANCO NACIONAL DE CREDITO";
				echo "<option value='14' > BANCO OCCIDENTAL DE DESCUENTO.";
				echo "<option value='15' > BANCO PLAZA";
				echo "<option value='16' > BANCO PROVINCIAL BBVA";
				echo "<option value='17' > BANCO VENEZOLANO DE CREDITO S.A.";
				echo "<option value='18' > BANCRECER S.A. BANCO DE DESARROLLO";
				echo "<option value='19' > BANESCO BANCO UNIVERSAL";
				echo "<option value='20' > BANFANB";
				echo "<option value='21' > BANPLUS BANCO COMERCIAL C.A.";
				echo "<option value='22' > CITIBANK";
				echo "<option value='23' > DELSUR BANCO UNIVERSAL";
				echo "<option value='24' > FONDO COMUN";
				echo "<option value='25' > SOFITASA";

			echo  "</select></td>";

		echo "</tr>";

		echo "<tr>";
			echo "<td align = 'right' > Tipo de Cuenta: </td>";
			echo "<td align = 'left'>";
			echo "<select name = 'tipo'><option>";
				echo "<option value='1' > Ahorro";
				echo "<option value='2' > Corriente";
			echo  "</select></td>";
			//	No est? mostrando el turno en el menu de generar el listado..... REVISAR
			//cargar_select($enlace, "turno","Turno");

		echo "</tr>";

		echo "<tr>";
					cargar_select($enlace, "departamento","Departamento");
					cargar_select($enlace, "cargo","Cargo");

		echo "</tr>";


		/*
		echo "<tr>";

		cargar_select($enlace, "profesion","Profesi&oacute;n");
		cargar_select($enlace, "unidad","Unidad");
		*/
		echo "</tr>";
		/*
		echo "<tr>";
		$query = "select * from concepto where id='".$_SESSION['id_validar']."' order by codigo";
		$consulta = mysqli_query($enlace, $query) or die ("no se pudo realizar la consulta...");
		$resultado = mysqli_num_rows($consulta);
		echo "<td align = 'right'> Concepto: </td>";
		echo "<td align = 'left'> <select style='width:300px;' name = 'concepto'><option>";
		if ($resultado != 0) {
			for ($i=0;$i<$resultado;$i++) {
				$row1 = mysqli_fetch_array($consulta);
				echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
			}
		}
		echo "</select></td>";
		*/
		$query = "select * from nomina where id='".$_SESSION['id_validar']."' ";
		$consulta = mysqli_query($enlace, $query) or die ("no se pudo realizar la consulta...");
		$resultado = mysqli_num_rows($consulta);
		echo "<td align = 'right'> N&oacute;mina: </td>";
		echo "<td align = 'left'> <select style='width:300px;' name = 'nomina'>";
		if ($resultado != 0) {
			for ($i=0;$i<$resultado;$i++) {
				$row1 = mysqli_fetch_array($consulta);
				echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
			}
		}
		echo "</select>";
		echo "</td></tr>";
		echo "	<tr>";
				echo "  	<td>Mes de Cumplea&ntilde;eros:</td>";
				echo "		<td><select style='width:300px;' name = 'mesd'>";
							for ($i=1;$i<=12;$i++) {
								if ($i==$m) echo "<option selected>".$i;
								else echo "<option>".$i;
							}
				echo "</select></td>";

		echo "</tr>";

		//---------------------------------- reporte especial
		echo "<tr>";
				echo "<td colspan=4><br></td>";
		echo "</tr>";
		echo "<tr>";
				echo "<td colspan=2><b><font color=red>Seleccione Campos:</font> (solo para Tipo de Reporte: Especial)</b></td>";
				echo "<td align='right'>Titulo del Reporte:</td>";
				echo "<td align='left'><input style='width:300px;' name='tituloespecial' size = '35' maxlength = '50'></td>";

				//echo "<td align='right'>SubTitulo:</td>";
				//echo "<td align='left'><input style='width:300px;' name='subtitulo' size = '35' maxlength = '50'></td>";
		echo "</tr>";

		echo "<tr>
				<td colspan=4>
					&nbsp;&nbsp;
					&nbsp;<font color=#464D77>RIF:&nbsp;</font><input type = 'checkbox' name='i1' value='1'> /
					&nbsp;<font color=#464D77>C&eacute;dula:&nbsp;</font><input type = 'checkbox' name='i2' value='1'> /
					&nbsp;<font color=#464D77>Nombre/Apellido:&nbsp;</font><input type = 'checkbox' name='i3' value='1'> /
					&nbsp;<font color=#464D77>Fecha Ingreso:&nbsp;</font><input type = 'checkbox' name='i4' value='1'> /
					&nbsp;<font color=#464D77>Sueldo:&nbsp;</font><input type = 'checkbox' name='i5' value='1'> /
					&nbsp;<font color=#464D77>Cargo:&nbsp;</font><input type = 'checkbox' name='i6' value='1'> /
					&nbsp;<font color=#464D77>Gerencia:&nbsp;</font><input type = 'checkbox' name='i7' value='1'> /
					&nbsp;<font color=#464D77>Dpto:&nbsp;</font><input type = 'checkbox' name='i8' value='1'> /
					&nbsp;<font color=#464D77>Prestamo:&nbsp;</font><input type = 'checkbox' name='i9' value='1'> /
					&nbsp;<font color=#464D77>Firmar:&nbsp;</font><input type = 'checkbox' name='i10' value='1'>
				</td>";
		echo "</tr>";

		echo "<tr><td colspan='4' align='center'>";
		echo "&nbsp;<p><input name='ver' type='submit' style='margin-left:5px; width:450px' value='Visualizar Reporte para Imprimir/Guardar'>";
		echo "</td></tr>";
		echo "</table></form>";



} else {
///////////////////////////////////////////////// cuando esta recibiendo datos  ////////////////////////////////////////////////////////////////

		if ($_POST['treporte']==1) $_POST['titulo']='Listado por Departamento';
		if ($_POST['treporte']==2) $_POST['titulo']='Listado de Datos Personales';
		if ($_POST['treporte']==3) $_POST['titulo']='Listado de Sueldos y Salarios';
		if ($_POST['treporte']==5) $_POST['titulo']='Listados de Cuentas Bancarias';
		if ($_POST['treporte']==6) $_POST['titulo']='Cumpleaneros del Mes';
		if ($_POST['treporte']==7) $_POST['titulo']=$_POST['tituloespecial'];

		$_POST['mes']=str_repeat("0",2-strlen($_POST['mesd'])).$_POST['mesd'];
		switch ($_POST['mes']) {
			case "01":$_POST['dmes']="Enero";break;
			case "02":$_POST['dmes']="Febrero";break;
			case "03":$_POST['dmes']="Marzo";break;
			case "04":$_POST['dmes']="Abril";break;
			case "05":$_POST['dmes']="Mayo";break;
			case "06":$_POST['dmes']="Junio";break;
			case "07":$_POST['dmes']="Julio";break;
			case "08":$_POST['dmes']="Agosto";break;
			case "09":$_POST['dmes']="Septiembre";break;
			case "10":$_POST['dmes']="Octubre";break;
			case "11":$_POST['dmes']="Noviembre";break;
			case "12":$_POST['dmes']="Diciembre";break;
		}

		$consulta=mysqli_query($enlace, "select * from periodo where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' order by periodo DESC limit 1");
		$nomina='';$periodo='';$desnomina='';$desperiodo='';
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$nomina=$row['nomina'];
			$desnomina=substr($_POST['nomina'],6,50);
			$periodo=$row['periodo'];
			$desperiodo=$row['desde'].' al '.$row['desde'];
		}
		$consulta=mysqli_query($enlace, "select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysqli_num_rows($consulta)!=0){
				$row=mysqli_fetch_array($consulta);
				$_POST['pie']=$row['pie'];
				$_POST['encabeza']=$row['encabeza'];
				$_POST['empresal']=$_SESSION['empresa_validar'];
				$_POST['empresa']=substr($_POST['nomina'],6,100);
		}
		$_POST['periodo']=$periodo.' - '.$desperiodo;
		if ($_POST['status']=='1') $status=" and (status='A' or status='C') ";
		else if ($_POST['status']=='T') $status=" and (status<>'I') ";
			else $status=" and status='".$_POST['status']."' ";

		$query="where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' ".$status;
		if ($_POST['cedula']!="") $query.="and codigo='".$_POST['cedula']."' ";
		if ($_POST['nacionalidad']!="") $query.="and nacionalidad='".$_POST['nacionalidad']."' ";
		if ($_POST['gerencia']!="") $query.="and gerencia='".substr($_POST['gerencia'],0,4)."' ";
		if ($_POST['edocivil']!="") $query.="and edocivil='".$_POST['edocivil']."' ";
		if ($_POST['direccion']!="") $query.="and direccion='".$_POST['direccion']."' ";
		if ($_POST['estado']!="") $query.="and estado='".$_POST['estado']."' ";
		if ($_POST['division']!="") $query.="and division='".$_POST['division']."' ";
		if ($_POST['municipio']!="") $query.="and municipio='".$_POST['municipio']."' ";
		if ($_POST['sector']!="") $query.="and sector='".$_POST['sector']."' ";
		if ($_POST['parroquia']!="") $query.="and parroquia='".$_POST['parroquia']."' ";
		if ($_POST['area']!="") $query.="and area='".substr($_POST['area'],0,4)."' ";
		if ($_POST['pago']!="") $query.="and pago='".$_POST['pago']."' ";
		if ($_POST['departamento']!="") $query.="and departamento='".substr($_POST['departamento'],0,4)."' ";
		if ($_POST['banco']!="") $query.="and banco='".$_POST['banco']."' ";
		if ($_POST['cargo']!="") $query.="and cargo='".substr($_POST['cargo'],0,4)."' ";
		if ($_POST['tipo']!="") $query.="and tipo='".$_POST['tipo']."' ";
		if ($_POST['turno']!="") $query.="and turno='".substr($_POST['turno'],0,4)."' ";
		if ($_POST['profesion']!="") $query.="and profesion='".$_POST['profesion']."' ";
		if ($_POST['unidad']!="") $query.="and unidad='".substr($_POST['unidad'],0,4)."' ";

//////////////////////////////////////////////////////////////////////////////////////////////////////////////// REPORTE POR DEPARTAMENTO
if ($_POST['treporte']==1) {
	
	class PDF extends FPDF {
	function Header()
	{
	    $this->Image($_SESSION['logo_validar'],95,1,30,30);
	    $this->SetFont('arial','B',12);
	    $this->Cell(100,5,$_POST['empresal'],0,0,'L');
	    $this->SetFont('arial','',8);
	    $this->Cell(90,5,'Fecha: '.hoy(),0,1,'R');
	    $this->SetFont('arial','',8);
		$this->Cell(100,5,$_POST['encabeza'],0,0,'L');
	    $this->SetFont('arial','',8);
	    $this->Cell(90,5,'Hora: '.hora(),0,1,'R');
		$this->Ln(20);
		$this->SetFont('arial','B',12);
		$this->Cell(0,0,$_POST['titulo'],0,1,'C');$this->Ln(5);
		$this->Cell(0,0,$_POST['subtitulo'],0,1,'L');$this->Ln(5);

		$this->SetFont('arial','',10);
		if ($_POST['gerencia']!="") {
			$this->Cell(0,0,'Gerencia: '.$_POST['gerencia'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['division']!="") {
			$this->Cell(0,0,'Divisi�n: '.$_POST['division'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['departamento']!="") {
			$this->Cell(0,0,'Departamento: '.$_POST['departamento'],0,1,'L');$this->Ln(5);
		}
		$header=array('#','C.I','Nombres y Apellidos','F. Ingreso','Departamento','Sueldo/Salario');
	   	$this->SetFillColor(70,77,119);
	    $this->SetTextColor(255);
	    $this->SetDrawColor(255,255,255);
	    $this->SetLineWidth(.3);
	    $this->SetFont('','');
	    //Cabecera
		$this->SetFont('arial','B',8);
	    $w=array(10,20,60,25,55,20);
		for($i=0;$i<count($header);$i++)
	        $this->Cell($w[$i],4,$header[$i],1,0,'C',1);
	    $this->Ln();
	    //Restauraci?n de colores y fuentes
	    $this->SetFillColor(224,235,255);
	    $this->SetTextColor(0);
	    $this->SetFont('');
	}


//Pie de p?gina ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	function Footer()
	{
		$this->SetY(-20);
		$this->Cell(0,0,'Nomina: '.$_POST['nomina']." - ".'Periodo: '.$_POST['periodo'],0,1,'L');$this->Ln(5);
		$this->Cell(0,0,'',1,1,'C');
		$this->SetFont('Times','I',8);
		$this->ln(2);
		$this->Cell(0,0,$_POST['pie'],0,1,'C');
		$this->Cell(0,10,'Usuario: '.$_POST['usuario'].' - P�gina '.$this->PageNo().'/{nb} - Derechos: '.$_POST['derecho'],0,0,'C');
	}
}
//Cuerpo ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	$pdf=new PDF();
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFont('Arial','',8);
	$pdf->SetFillColor(224,235,255);
	$pdf->SetTextColor(0);
	$consulta=mysqli_query($enlace, "select * from personal ".$query." order by ".$_POST['ordena']) or die ("select * from personal ".$query." order by ".$_POST['ordena']);
	$linea=0;
	$color=0;
	$tsalsur=0;
	while($row=mysqli_fetch_array($consulta)) {
			$linea++;
			$tsalsur+=$row['sdia']+$row['smes'];
			$tnombre=trim($row['nombres']).' '.trim($row['nombres1']).',  '.trim($row['apellidos']).' '.trim($row['apellidos1']);
			$cons1=mysqli_query($enlace, "select * from tablas where codigo='".$row['departamento']."' and tabla='DEPARTAMENTO' and id='".$_SESSION['id_validar']."' " ) ;
			while ($row1=mysqli_fetch_array($cons1))
			$tdepartamento=$row1['detalle'];
			$pdf->cell(10,5,$linea,0,0,'C',$color);
			$pdf->cell(20,5,$row['codigo'],0,0,'C',$color);
			$pdf->cell(60,5,$tnombre,0,0,'L',$color);
			$pdf->cell(24,5,$row['fechai'],0,0,'C',$color);
			$pdf->cell(52,5,$tdepartamento,0,0,'L',$color);
			$pdf->cell(25,5,number_format($row['sdia']+$row['smes'],3),0,1,'R',$color);
			$pdf->ln(2);
			$color=!$color;
	}
	$pdf->Cell(190,0,'',1,1,'C'); $pdf->ln(1);
	$pdf->cell(100,5,'Total ....',0,0,'R',$color);
	$pdf->cell(91,5,number_format($tsalsur,3),0,1,'R',$color);
	$pdf->Cell(190,0,'',1,1,'C'); $pdf->ln(1);
	$pdf->Cell(190,0,'',1,1,'C');
	$pdf->Output('Listado_trabajadores_por_dpto.pdf','D');
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////// REPORTE GENERAL
if ($_POST['treporte']==2) {
	
	class PDF extends FPDF {
	function Header()
	{
	    $this->Image($_SESSION['logo_validar'],95,1,30,30);
	    $this->SetFont('arial','B',12);
	    $this->Cell(100,5,$_POST['empresal'],0,0,'L');
	    $this->SetFont('arial','',8);
	    $this->Cell(90,5,'Fecha: '.hoy(),0,1,'R');
	    $this->SetFont('arial','',8);
		$this->Cell(100,5,$_POST['encabeza'],0,0,'L');
	    $this->SetFont('arial','',8);
	    $this->Cell(90,5,'Hora: '.hora(),0,1,'R');
		$this->SetFont('arial','B',12); $this->Ln(20);
		$this->Cell(0,0,$_POST['titulo'],0,1,'C');$this->Ln(5);
		$this->Cell(0,0,$_POST['subtitulo'],0,1,'C');$this->Ln(5);
		$header=array('#','C.I','Nombres y Apellidos','Direcci?n','Telefono','Fecha Nacimiento','Sexo');
		//$header=array('#','C.I','Nombres y Apellidos','#sso');
	   	$this->SetFillColor(70,77,119);
	    $this->SetTextColor(255);
	    $this->SetDrawColor(255,255,255);
	    $this->SetLineWidth(.3);
	    $this->SetFont('','');
	    //Cabecera
		$this->SetFont('arial','B',8);
	    //
		$w=array(8,18,60,110,30,25,10);
		for($i=0;$i<count($header);$i++)
	        $this->Cell($w[$i],4,$header[$i],1,0,'C',1);
	    $this->Ln();
	    //Restauraci?n de colores y fuentes
	    $this->SetFillColor(224,235,255);
	    $this->SetTextColor(0);
	    $this->SetFont('');
	}

//Pie de p?gina ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	function Footer()
	{
	$this->SetY(-20);
	//$this->Cell(0,0,'Nomina: '.$_POST['nomina']." - ".'Periodo: '.$_POST['periodo'],0,1,'L');$this->Ln(5);
	$this->Cell(0,0,'',1,1,'C');
	$this->SetFont('Times','I',8);
	$this->ln(2);
	$this->Cell(0,0,$_POST['pie'],0,1,'C');
	$this->Cell(0,10,'P?gina '.$this->PageNo().'/{nb}',0,0,'C');
	}
}
//Cuerpo ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	$pdf=new PDF($orientacion='L',$unit='mm',$format='letter');
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFont('Arial','',8);
	$pdf->SetFillColor(224,235,255);
	$pdf->SetTextColor(0);
	$consulta=mysqli_query($enlace, "select * from personal ".$query." order by ".$_POST['ordena']) or die ("select * from personal ".$query." order by ".$_POST['ordena']);
	$linea=0;
	$color=0;
	$tasig=0;
	$tdeduc=0;
	$bandera=0;
	$ttasig=0; $ttdeduc=0;
	$tsalsur=0;
	while($row=mysqli_fetch_array($consulta)) {
			$linea++;
			$tsalsur+=$row['sdia']+$row['smes'];
			$tnombre=trim($row['nombres']).' '.trim($row['nombres1']).',  '.trim($row['apellidos']).' '.trim($row['apellidos1']);
			$cons1=mysqli_query($enlace, "select * from tablas where codigo='".$row['profesion']."' and tabla='PROFESION' and id='".$_SESSION['id_validar']."' " ) ;
			while ($row1=mysqli_fetch_array($cons1))
			$tprofesion=$row1['detalle'];
			$pdf->cell(8,5,$linea,0,0,'C',$color);
			$pdf->cell(18,5,$row['codigo'],0,0,'C',$color);
			$pdf->cell(60,5,$tnombre,0,0,'L',$color);
			$pdf->cell(110,5,$row['dir'],0,0,'L',$color);
			$pdf->cell(30,5,$row['telefono'],0,0,'R',$color);
			//$pdf->cell(45,5,$tprofesion,0,0,'L',$color);
			$pdf->cell(25,5,$row['fechan'],0,0,'C',$color);
			$pdf->cell(10,5,$row['sexo'],0,1,'C',$color);
			//$pdf->cell(15,5,$row['hijo'],0,1,'R',$color);
			$pdf->ln(2);
			$color=!$color;
	}
	$pdf->Output('Listado_datos_personales_trabajadores.pdf','D');
} // fin de REPORTE GENERAL

//////////////////////////////////////////////////////////////////////////////////////////////////////////////// REPORTE CON SUELDOS
if ($_POST['treporte']==3) {
	
	class PDF extends FPDF {
	function Header()
	{
	    $this->Image($_SESSION['logo_validar'],125,6,30,30);
	    $this->SetFont('arial','B',12);
	    $this->Cell(0,5,$_POST['empresal'],0,0,'L');
	    $this->SetFont('arial','',10);
	    $this->Cell(0,5,'Fecha: '.hoy(),0,1,'R');
	    $this->SetFont('arial','',8);
		$this->Cell(0,5,$_POST['encabeza'],0,0,'L');
	    $this->SetFont('arial','',10);
	    $this->Cell(0,5,'Hora: '.hora(),0,1,'R');
		$this->SetFont('arial','B',12);
		$this->Ln(23);
		$this->Cell(0,0,$_POST['titulo'],0,1,'C');$this->Ln(5);
		$this->Cell(0,0,$_POST['subtitulo'],0,1,'C');$this->Ln(5);
		$header=array('#','C.I','Nombres y Apellidos','Departamento.','Cargo','Fec/Ing','Sue/Sal');
	   	$this->SetFillColor(70,77,119);
			$this->SetTextColor(255);
			$this->SetDrawColor(255,255,255);
			$this->SetLineWidth(.5);
			$this->SetFont('','');
	    //Cabecera
		$this->SetFont('arial','B',8);
	    $w=array(10,20,60,60,55,22,18);
		for($i=0;$i<count($header);$i++)
	        $this->Cell($w[$i],4,$header[$i],1,0,'C',1);
	    $this->Ln();
		$this->SetFont('');
	    //Restauraci?n de colores y fuentes
	    $this->SetFillColor(224,235,255);
	    $this->SetTextColor(0);
	    $this->SetFont('');
	}
//Pie de p?gina ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	function Footer()
	{
	$this->SetY(-20);
	//$this->Cell(0,0,'Nomina: '.$_POST['nomina']." - ".'Periodo: '.$_POST['periodo'],0,1,'L');$this->Ln(5);
	$this->Cell(0,0,'',1,1,'C');
	$this->SetFont('Times','I',8);
	$this->ln(2);
	$this->Cell(0,0,$_POST['pie'],0,1,'C');
	$this->Cell(0,10,'P?gina '.$this->PageNo().'/{nb}',0,0,'C');
	}
}
//Cuerpo ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	$pdf=new PDF($orientacion='L',$unit='mm',$format='letter');

	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFont('Arial','',8);
	$pdf->SetFillColor(224,235,255);
	$pdf->SetTextColor(0);
	$consulta=mysqli_query($enlace, "select * from personal ".$query." order by ".$_POST['ordena']) or die ("select * from personal ".$query." order by ".$_POST['ordena']);
	$linea=0;
	$color=0;
	$tasig=0;
	$tdeduc=0;
	$bandera=0;
	$ttasig=0; $ttsalsur=0;
	$tsalsur=0;
	while($row=mysqli_fetch_array($consulta)) {
			$linea++;
			//$ttsalsur+=$row['sdia']+$row['smes'];
			$ttsalsur+=$row['smes'];
			//$tsalsur=$row['sdia']+$row['smes'];
			$tsalsur=$row['smes'];
			$tnombre=trim($row['nombres']).' '.trim($row['nombres1']).',  '.trim($row['apellidos']).' '.trim($row['apellidos1']);
			$pdf->cell(10,5,$linea,0,0,'C',$color);
			$pdf->cell(20,5,$row['codigo'],0,0,'C',$color);
			$pdf->cell(60,5,$tnombre,0,0,'L',$color);

			/*$cons=mysqli_query($enlace, "select tablas.detalle as gerencia from tablas where codigo='".$row['gerencia']."' and tabla='GERENCIA' and id='".$_SESSION['id_validar']."' " ) ;
			while ($row1=mysqli_fetch_array($cons)) $tgerencia=$row1['gerencia'];
			*/
			$cons1=mysqli_query($enlace, "select * from tablas where codigo='".$row['departamento']."' and tabla='DEPARTAMENTO' and id='".$_SESSION['id_validar']."' " ) ;
			while ($row2=mysqli_fetch_array($cons1)) $tdepartamento=$row2['detalle'];
			$cons2=mysqli_query($enlace, "select * from tablas where codigo='".$row['cargo']."' and tabla='CARGO' and id='".$_SESSION['id_validar']."' " ) ;
			while ($row3=mysqli_fetch_array($cons2)) $tcargo=$row3['detalle'];
			$cons3=mysqli_query($enlace, "select * from tablas where codigo='".$row['profesion']."' and tabla='PROFESION' and id='".$_SESSION['id_validar']."' " ) ;
			while ($row4=mysqli_fetch_array($cons3)) $tprofesion=$row4['detalle'];

			$cons4=mysqli_query($enlace, "select * from tablas where codigo='".$row['municipio']."' and tabla='MUNICIPIO' and id='".$_SESSION['id_validar']."' " ) ;
			while ($row5=mysqli_fetch_array($cons4)) $tmunicipio=$row5['detalle'];

			//$pdf->cell(35,5,$tgerencia,0,0,'L',$color);
			$pdf->cell(60,5,$tdepartamento,0,0,'L',$color);
			$pdf->cell(55,5,$tcargo,0,0,'L',$color);
			$pdf->cell(22,5,mostrar_fecha($row['fechai']),0,0,'L',$color);
			$pdf->cell(18,5,number_format($tsalsur,2),0,1,'R',$color);
			$pdf->ln(2);
			$color=!$color;
	}
	$pdf->Cell(255,0,'',1,1,'C');$pdf->ln(1);
	$pdf->cell(155,5,'Total',0,0,'R',$color);
	$pdf->cell(100,5,number_format($ttsalsur,3),0,1,'R',$color);
	$pdf->Cell(255,0,'',1,1,'C'); $pdf->ln(1);
	$pdf->Cell(255,0,'',1,1,'C');
	$pdf->Output('Listado_sueldos_trabajadores.pdf','D');
} // fin de reporte CON SUELDOS


///////////////////////////////////////////////////////////// REPORTE cuentas bancarias
if ($_POST['treporte']==5) {
	
	class PDF extends FPDF {
	function Header()
	{
	    $this->Image($_SESSION['logo_validar'],95,1,30,30);
	    $this->SetFont('arial','B',10);
	    $this->Cell(100,5,$_POST['empresal'],0,0,'L');
	    $this->SetFont('arial','',8);
	    $this->Cell(90,5,'Fecha: '.hoy(),0,1,'R');
	    $this->SetFont('arial','',8);
		$this->Cell(100,5,$_POST['encabeza'],0,0,'L');
	    $this->SetFont('arial','',8);
	    $this->Cell(90,5,'Hora: '.hora(),0,1,'R');
		$this->SetFont('arial','B',12); $this->Ln(20);
		$this->Cell(0,0,$_POST['titulo'],0,1,'C');$this->Ln(5);
		$this->Cell(0,0,$_POST['subtitulo'],0,1,'C');$this->Ln(5);
		//$header=array('#','C.I','Nombres y Apellidos','Direcci?n','Telefono','Profesi?n','Fecha Nacimiento','Sexo','# Hijos','#sso');
		$header=array('#','C.I','Nombres y Apellidos','# Cuenta','Tipo cuenta','Banco');
	   	$this->SetFillColor(70,77,119);
			$this->SetTextColor(255);
			$this->SetDrawColor(255,255,255);
	    $this->SetLineWidth(.3);
	    $this->SetFont('','');
	    //Cabecera
		$this->SetFont('arial','B',8);
	    //
		//$w=array(10,20,60,20,40,50,25,10,15,15);
		$w=array(5,20,80,50,25,60);
		for($i=0;$i<count($header);$i++)
	        $this->Cell($w[$i],4,$header[$i],1,0,'C',1);
	    $this->Ln();
	    //Restauraci?n de colores y fuentes
	    $this->SetFillColor(224,235,255);
	    $this->SetTextColor(0);
	    $this->SetFont('');
	}

//Pie de p?gina ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	function Footer()
	{
	$this->SetY(-20);
	//$this->Cell(0,0,'Nomina: '.$_POST['nomina']." - ".'Periodo: '.$_POST['periodo'],0,1,'L');$this->Ln(5);
	$this->Cell(0,0,'',1,1,'C');
	$this->SetFont('Times','I',8);
	$this->ln(2);
	$this->Cell(0,0,$_POST['pie'],0,1,'C');
	$this->Cell(0,10,'P?gina '.$this->PageNo().'/{nb}',0,0,'C');
	}
}
//Cuerpo ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	$pdf=new PDF($orientacion='L',$unit='mm',$format='letter');
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFont('Arial','',8);
	$pdf->SetFillColor(224,235,255);
	$pdf->SetTextColor(0);
	$consulta=mysqli_query($enlace, "select * from personal ".$query." order by ".$_POST['ordena']) or die ("select * from personal ".$query." order by ".$_POST['ordena']);
	$linea=0;
	$color=0;
	$tasig=0;
	$tdeduc=0;
	$bandera=0;
	$ttasig=0; $ttdeduc=0;
	$tsalsur=0;
	$w=array(5,20,80,50,25,60);
	while($row=mysqli_fetch_array($consulta)) {
			$linea++;
			$tsalsur+=$row['sdia']+$row['smes'];
			$tnombre=trim($row['nombres']).' '.trim($row['nombres1']).' '.trim($row['apellidos']).' '.trim($row['apellidos1']);
			$cons1=mysqli_query($enlace, "select * from tablas where codigo='".$row['profesion']."' and tabla='PROFESION' and id='".$_SESSION['id_validar']."' " ) ;
			while ($row1=mysqli_fetch_array($cons1))
			$tbanco=$row1['detalle'];
			$pdf->cell($w[0],5,$linea,0,0,'C',$color);
			$pdf->cell($w[1],5,$row['codigo'],0,0,'C',$color);
			$pdf->cell($w[2],5,$tnombre,0,0,'L',$color);
			// RIF //$pdf->cell($w[3],5,$row['sso'],0,0,'R',$color);
			$pdf->cell($w[3],5,$row['cuenta'],0,0,'C',$color);

			if ($row['tipo'] == '') $a='';
			if ($row['tipo'] == '1') $a="Ahorro";
			if ($row['tipo'] == '2') $a="Corriente";
			$pdf->cell($w[4],5,$a,0,0,'C',$color);
			//mostrar banco
		if ($row['banco'] == '') $a='';
		if ($row['banco'] == '0156') $a=" 100%BANCO"; 
		if ($row['banco'] == '0172') $a="BANCAMIGA BANCO MICROFINANCIERO, C.A."; 
		if ($row['banco'] == '0166') $a="BANCO AGRICOLA"; 
		if ($row['banco'] == '0175') $a="BANCO BICENTENARIO";
		if ($row['banco'] == '0128') $a="BANCO CARONI, C.A. BANCO UNIVERSAL";
		if ($row['banco'] == '0102') $a="BANCO DE VENEZUELA";
		if ($row['banco'] == '0114') $a="BANCO DEL CARIBE C.A.";
		if ($row['banco'] == '0149') $a="BANCO DEL PUEBLO SOBERANO C.A.";
		if ($row['banco'] == '0163') $a="BANCO DEL TESORO";
		if ($row['banco'] == '0115') $a="BANCO EXTERIOR C.A.";
		if ($row['banco'] == '0003') $a="BANCO INDUSTRIAL DE VENEZUELA.";
		if ($row['banco'] == '0105') $a="BANCO MERCANTIL C.A.";
		if ($row['banco'] == '0191') $a="BANCO NACIONAL DE CREDITO";
		if ($row['banco'] == '0116') $a="BANCO OCCIDENTAL DE DESCUENTO.";
		if ($row['banco'] == '0138') $a="BANCO PLAZA";
		if ($row['banco'] == '0108') $a="BANCO PROVINCIAL BBVA";
		if ($row['banco'] == '0104') $a="BANCO VENEZOLANO DE CREDITO S.A.";
		if ($row['banco'] == '0168') $a="BANCRECER S.A. BANCO DE DESARROLLO";
		if ($row['banco'] == '0134') $a="BANESCO BANCO UNIVERSAL";
		if ($row['banco'] == '0177') $a="BANFANB";
		if ($row['banco'] == '0174') $a="BANPLUS BANCO COMERCIAL C.A.";
		if ($row['banco'] == '0190') $a="CITIBANK";
		if ($row['banco'] == '0157') $a="DELSUR BANCO UNIVERSAL";
		if ($row['banco'] == '0151') $a="FONDO COMUN";
		if ($row['banco'] == '0137') $a="SOFITASA";		
			//$pdf->cell(100,5,'Entidad Bancaria: '.$a,0,1,'');
			$pdf->cell($w[5],5,$a,0,1,'C',$color);
			$pdf->ln(2);
			$color=!$color;
	}
	$pdf->Output('Listado_Cuentas_bancarias_trabajadores.pdf','D');
} // fin de carta bancaria


//////////////////////////////////////////////////////////////////////////////////////////////////////////////// REPORTE Cumplea?eros del mes
if ($_POST['treporte']==6) {
		
		class PDF extends FPDF {
		function Header()
		{
	    $this->Image($_SESSION['logo_validar'],95,1,30,30);
	    $this->SetFont('arial','B',12);
	    $this->Cell(100,5,$_POST['empresal'],0,0,'L');
	    $this->SetFont('arial','',8);
	    $this->Cell(90,5,'Fecha: '.hoy(),0,1,'R');
	    $this->SetFont('arial','',8);
		$this->Cell(100,5,$_POST['encabeza'],0,0,'L');
	    $this->SetFont('arial','',8);
	    $this->Cell(90,5,'Hora: '.hora(),0,1,'R');
		$this->Ln(20);
		$this->SetFont('arial','B',12);
		$this->Cell(0,0,"CUMPLEA�EROS DEL MES : ".$_POST['dmes'],0,1,'C');$this->Ln(5);
		$this->Cell(0,0,$_POST['subtitulo'],0,1,'L');$this->Ln(5);

		$this->SetFont('arial','',10);
		if ($_POST['gerencia']!="") {
			$this->Cell(0,0,'Gerencia: '.$_POST['gerencia'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['division']!="") {
			$this->Cell(0,0,'Divisi?n: '.$_POST['division'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['departamento']!="") {
			$this->Cell(0,0,'Departamento: '.$_POST['departamento'],0,1,'L');$this->Ln(5);
		}
		    $header=array('Item','Cedula','Nombres y Apellidos','D?a');
		    $this->SetFillColor(70,77,119);
			$this->SetTextColor(255);
			$this->SetDrawColor(255,255,255);
		    $this->SetLineWidth(.3);
		    $this->SetFont('','');
		    //Cabecera
			$this->SetFont('arial','B',8);
		    $w=array(10,25,90,40);
			for($i=0;$i<count($header);$i++)
		        $this->Cell($w[$i],4,$header[$i],1,0,'C',1);
		    $this->Ln();
		    //Restauraci?n de colores y fuentes
		    $this->SetFillColor(224,235,255);
		    $this->SetTextColor(0);
		    $this->SetFont('');
		}
//Pie de p?gina ////////////////////////
		function Footer()
		{
		$this->SetY(-20);
		$this->Cell(0,0,'',1,1,'C');
		$this->SetFont('Times','I',8);
		$this->ln(2);
		$this->Cell(0,0,$_POST['pie'],0,1,'C');
		$this->Cell(0,10,'P?gina '.$this->PageNo().'/{nb}',0,0,'C');
		}
}
//Cuerpo ///////////////////////////////
		$pdf=new PDF();
		$pdf->AddPage();
		$pdf->AliasNbPages();
		$pdf->SetFont('Arial','',8);
		$pdf->SetFillColor(224,235,255);
		$pdf->SetTextColor(0);
		$consulta=mysqli_query($enlace, "select * from personal where id='".$_SESSION['id_validar']."'  and status <>'I' and substring(fechan,6,2)='".$_POST['mes']."' order by substring(fechan,9,2) ");
		$linea=0;
		$color=0;
		$bandera=0;
	    $w=array(10,15,80,30);

		while($row=mysqli_fetch_array($consulta)) {
			$linea++;
			$tnombre=trim($row['nombres']).' '.trim($row['nombres1']).',  '.trim($row['apellidos']).' '.trim($row['apellidos1']);
			$pdf->cell(10,5,$linea,0,0,'C',$color);
			$pdf->cell(25,5,$row['codigo'],0,0,'',$color);
			$pdf->cell(90,5,$tnombre,0,0,'',$color);
			$pdf->cell(40,5,substr($row['fechan'],8,2),0,1,'C',$color);
			$pdf->ln(1);
			$color=!$color;
		}
		$pdf->Cell(165,0,'',1,1,'C'); $pdf->ln(1);
		$pdf->Cell(165,0,'',1,1,'C');
		$pdf->Output('Listado_cumpleaneros_mes.pdf','D');
} //==== cumplea?eros


//////////////////////////////////////////////////////////////////////////////////////////////////////////////// REPORTE ESPECIAL POR CAMPOS SELECCIONADOS
if ($_POST['treporte']==7) {
	
	class PDF extends FPDF {
	function Header()
	{
	    $this->Image($_SESSION['logo_validar'],95,1,30,30);
	    $this->SetFont('arial','B',12);
	    $this->Cell(100,5,$_POST['empresal'],0,0,'L');
	    $this->SetFont('arial','',8);
	    $this->Cell(90,5,'Fecha: '.hoy(),0,1,'R');
	    $this->SetFont('arial','',8);
		$this->Cell(100,5,$_POST['encabeza'],0,0,'L');
	    $this->SetFont('arial','',8);
	    $this->Cell(90,5,'Hora: '.hora(),0,1,'R');
		$this->ln(20);
		$this->SetFont('arial','B',12);
		$this->Cell(0,5,$_POST['titulo'],0,1,'C');
		$this->Cell(0,5,$_POST['subtitulo'],0,1,'C');

		$this->SetFont('arial','',10);
		if ($_POST['gerencia']!="") $this->Cell(0,5,'Gerencia: '.$_POST['gerencia'],0,1,'C');
		if ($_POST['division']!="") $this->Cell(0,5,'Divisi�n: '.$_POST['division'],0,1,'C');
		if ($_POST['departamento']!="") $this->Cell(0,5,'Departamento: '.$_POST['departamento'],0,1,'C');

		$header=array( '#' );
		$w=array( 10 );
		$pag=10;
		if ($_POST['i1']==1) { $pag+=20; $w[]=20; $header[]='Ficha'; }
		if ($_POST['i2']==1) { $pag+=20; $w[]=20; $header[]='Cedula'; }
		if ($_POST['i3']==1) { $pag+=80; $w[]=80; $header[]='Nombres'; }
		if ($_POST['i4']==1) { $pag+=20; $w[]=20; $header[]='F/Ingreso'; }
		if ($_POST['i5']==1) { $pag+=20; $w[]=20; $header[]='Sueldo'; }
		if ($_POST['i6']==1) { $pag+=40; $w[]=40; $header[]='Cargo'; }
		if ($_POST['i7']==1) { $pag+=30; $w[]=30; $header[]='Gerencia'; }
		if ($_POST['i8']==1) { $pag+=30; $w[]=30; $header[]='Depto'; }
		if ($_POST['i9']==1) { $pag+=20; $w[]=20; $header[]='Prestamo'; }
		if ($_POST['i10']==1) { $pag+=20; $w[]=20; $header[]='Firma'; }
		$espacio=1;
		if ($pag!=190) $espacio = (190-$pag)/2;

	   	$this->SetFillColor(70,77,119);
			$this->SetTextColor(255);
			$this->SetDrawColor(255,255,255);
	    $this->SetLineWidth(.3);
	    $this->SetFont('','');
	    //Cabecera
		$this->SetFont('arial','B',9);
        //$this->Cell($espacio,4,'',0,0);
		for($i=0;$i<count($header);$i++)
	        $this->Cell($w[$i],4,$header[$i],1,0,'C',1);
	    $this->Ln();
	    //Restauraci?n de colores y fuentes
	    $this->SetFillColor(224,235,255);
	    $this->SetTextColor(0);
	    $this->SetFont('');
	}


	//Pie de p?gina ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	function Footer()
	{
		$this->SetY(-20);
		$this->Cell(0,0,'Nomina: '.$_POST['nomina']." - ".'Periodo: '.$_POST['periodo'],0,1,'L');$this->Ln(5);
		$this->Cell(0,0,'',1,1,'C');
		$this->SetFont('Times','I',8);
		$this->ln(2);
		$this->Cell(0,0,$_POST['pie'],0,1,'C');
		$this->Cell(0,10,'Usuario: '.$_POST['usuario'].' - P?gina '.$this->PageNo().'/{nb} - Derechos: '.$_POST['derecho'],0,0,'C');
	}
	}
	//Cuerpo ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	$pdf=new PDF();
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFont('Arial','',10);
	$pdf->SetFillColor(224,235,255);
	$pdf->SetTextColor(0);

	$w=array( 10 );
	$pag=10;
		if ($_POST['i1']==1) { $pag+=20; $w[]=20; $header[]='Ficha'; }
		if ($_POST['i2']==1) { $pag+=20; $w[]=20; $header[]='Cedula'; }
		if ($_POST['i3']==1) { $pag+=80; $w[]=80; $header[]='Nombres'; }
		if ($_POST['i4']==1) { $pag+=20; $w[]=20; $header[]='F/Ingreso'; }
		if ($_POST['i5']==1) { $pag+=20; $w[]=20; $header[]='Sueldo'; }
		if ($_POST['i6']==1) { $pag+=40; $w[]=40; $header[]='Cargo'; }
		if ($_POST['i7']==1) { $pag+=30; $w[]=30; $header[]='Gerencia'; }
		if ($_POST['i8']==1) { $pag+=30; $w[]=30; $header[]='Depto'; }
		if ($_POST['i9']==1) { $pag+=20; $w[]=20; $header[]='Prestamo'; }
		if ($_POST['i10']==1) { $pag+=20; $w[]=20; $header[]='Firma'; }
		if ($_POST['i11']==1) { $pag+=20; $w[]=20; $header[]='municipio'; }


	$espacio=1;
	if ($pag!=190) $espacio = (190-$pag)/2;

	$consulta=mysqli_query($enlace, "select * from personal ".$query." order by ".$_POST['ordena']) or die ("select * from personal ".$query." order by ".$_POST['ordena']);
	$linea=0;
	$color=0;
	$total1=0;
	$total2=0;
	while($row=mysqli_fetch_array($consulta)) {
			$linea++;
			$pdf->SetFont('Arial','',6);
			//$pdf->cell($espacio,5,'',0,0,'C');
			$pdf->cell(10,5,$linea,0,0,'C',$color);
			if ($_POST['i1']==1) $pdf->cell(20,5,$row['sso'],0,0,'C',$color);
			if ($_POST['i2']==1) $pdf->cell(20,5,trim($row['nacionalidad']).'-'.$row['codigo'],0,0,'C',$color);
			$pdf->SetFont('Arial','',8);
			if ($_POST['i3']==1) $pdf->cell(80,5,trim($row['nombres']).' '.trim($row['nombres1']).',  '.trim($row['apellidos']).' '.trim($row['apellidos1']),0,0,'L',$color);
			$pdf->SetFont('Arial','',6);
			if ($_POST['i4']==1) $pdf->cell(20,5,mostrar_fecha($row['fechai']),0,0,'L',$color);
			if ($_POST['i5']==1) {
				$pdf->cell(20,5,number_format($row['smes'],2),0,0,'R',$color);
				$total1 += $row['smes'];
			}

			//======================== cargo
			if ($_POST['i6']==1) {
				$campo='';
				$cons1=mysqli_query($enlace, "select * from tablas where codigo='".$row['cargo']."' and tabla='CARGO' and id='".$_SESSION['id_validar']."' " ) ;
				while ($row1=mysqli_fetch_array($cons1))
				$campo=$row1['detalle'];
				$pdf->cell(40,5,substr($campo,0,20),0,0,'L',$color);
			}

			//======================== gerencia
			if ($_POST['i7']==1) {
				$campo='';
				$cons1=mysqli_query($enlace, "select * from tablas where codigo='".$row['gerencia']."' and tabla='GERENCIA' and id='".$_SESSION['id_validar']."' " ) ;
				while ($row1=mysqli_fetch_array($cons1))
				$campo=$row1['detalle'];
				$pdf->cell(30,5,substr($campo,0,20),0,0,'L',$color);
			}

			//======================== dpto
			if ($_POST['i8']==1) {
				$campo='';
				$cons1=mysqli_query($enlace, "select * from tablas where codigo='".$row['departamento']."' and tabla='DEPARTAMENTO' and id='".$_SESSION['id_validar']."' " ) ;
				while ($row1=mysqli_fetch_array($cons1))
				$campo=$row1['detalle'];
				$pdf->cell(30,5,substr($campo,0,20),0,0,'L',$color);
			}

			//======================== prestamos
			if ($_POST['i9']==1) {
				$cons1=mysqli_query($enlace, "select sum(saldo) as total from prestamo where cedula='".$row['codigo']."' and id='".$_SESSION['id_validar']."' " ) ;
				$row1=mysqli_fetch_array($cons1) or die ($cons1.' '.mysql_error());
				$pdf->cell(20,5,($row1['total']==0?'':number_format($row1['total'],2)),0,0,'R',$color);
				$total2 += $row1['total'];
			}
			//======================== municipio
			if ($_POST['i11']==1) {
				$campo='';
				$cons1=mysqli_query($enlace, "select * from tablas where codigo='".$row['municipio']."' and tabla='MUNICIPIO' and id='".$_SESSION['id_validar']."' " ) ;
				while ($row1=mysqli_fetch_array($cons1))
				$campo=$row1['detalle'];
				$pdf->cell(30,5,substr($campo,0,20),0,0,'L',$color);
			}
			if ($_POST['i10']==1) $pdf->cell(20,5,'__________',0,0,'L',$color);
			$pdf->ln(5);
			$color=!$color;
	}
	//$pdf->cell($espacio,0,'',0,0,'C');
	$pdf->Cell($pag,0,'',1,1,'C');
	$pdf->ln(1);
	//$pdf->cell($espacio,0,'',0,0,'C');
	$pdf->Cell($pag,0,'',1,1,'C');

	if ($total1>0) {
		$pdf->cell(0,5,'Total  Sueldo  Bs. '.number_format($total1,2),0,1,'C');
	}
	if ($total2>0) {
		$pdf->cell(0,5,'Total Prestamo Bs. '.number_format($total2,2),0,1,'C');
	}

	$pdf->Output('listado_campos_seleccionados.pdf','D');
	} // fin reporte especial


	/////////////REPORTE TALLAS DOTACION
	if ($_POST['treporte']==8) {
	
	class PDF extends FPDF {
	function Header()
	{
	    $this->Image($_SESSION['logo_validar'],125,6,30,30);
	    $this->SetFont('arial','B',12);
	    $this->Cell(0,5,$_POST['empresal'],0,0,'L');
	    $this->SetFont('arial','',10);
	    $this->Cell(0,5,'Fecha: '.hoy(),0,1,'R');
	    $this->SetFont('arial','',8);
		$this->Cell(0,5,$_POST['encabeza'],0,0,'L');
	    $this->SetFont('arial','',10);
	    $this->Cell(0,5,'Hora: '.hora(),0,1,'R');
		$this->SetFont('arial','B',12);
		$this->Ln(23);
		$this->Cell(0,0,$_POST['titulo'],0,1,'C');$this->Ln(5);
		$this->Cell(0,0,$_POST['subtitulo'],0,1,'C');$this->Ln(5);
		$header=array('#','C.I','Nombres y Apellidos','Departamento.','Talla Pantalon','Talla Zapato','Talla Camisa');
	   	$this->SetFillColor(70,77,119);
			$this->SetTextColor(255);
			$this->SetDrawColor(255,255,255);
			$this->SetLineWidth(.5);
			$this->SetFont('','');
	    //Cabecera
		$this->SetFont('arial','B',8);
	    $w=array(10,20,60,60,25,25,25);
		for($i=0;$i<count($header);$i++)
	        $this->Cell($w[$i],4,$header[$i],1,0,'C',1);
	    $this->Ln();
		$this->SetFont('');
	    //Restauraci?n de colores y fuentes
	    $this->SetFillColor(224,235,255);
	    $this->SetTextColor(0);
	    $this->SetFont('');
	}
//Pie de p?gina ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	function Footer()
	{
	$this->SetY(-20);
	//$this->Cell(0,0,'Nomina: '.$_POST['nomina']." - ".'Periodo: '.$_POST['periodo'],0,1,'L');$this->Ln(5);
	$this->Cell(0,0,'',1,1,'C');
	$this->SetFont('Times','I',8);
	$this->ln(2);
	$this->Cell(0,0,$_POST['pie'],0,1,'C');
	$this->Cell(0,10,'P?gina '.$this->PageNo().'/{nb}',0,0,'C');
	}
}
//Cuerpo ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	$pdf=new PDF($orientacion='L',$unit='mm',$format='letter');

	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFont('Arial','',8);
	$pdf->SetFillColor(224,235,255);
	$pdf->SetTextColor(0);
	$consulta=mysqli_query($enlace, "select * from personal ".$query." order by ".$_POST['ordena']) or die ("select * from personal ".$query." order by ".$_POST['ordena']);
	$linea=0;
	$color=0;
	$tasig=0;
	$tdeduc=0;
	$bandera=0;
	$ttasig=0; $ttsalsur=0;
	$tallaPantalon=0;
	$tallaCamisa=0;
	$tallaZapato=0;
	while($row=mysqli_fetch_array($consulta)) {
			$linea++;
			$ttsalsur+=$row['sdia']+$row['smes'];
			$tallaPantalon=$row['tallapantalon'];
			$tallaCamisa=$row['tallacamisa'];
			$tallaZapato=$row['tallazapato'];
			$tnombre=trim($row['nombres']).' '.trim($row['nombres1']).',  '.trim($row['apellidos']).' '.trim($row['apellidos1']);
			$pdf->cell(10,5,$linea,0,0,'C',$color);
			$pdf->cell(20,5,$row['codigo'],0,0,'C',$color);
			$pdf->cell(60,5,$tnombre,0,0,'L',$color);

			/*$cons=mysqli_query($enlace, "select tablas.detalle as gerencia from tablas where codigo='".$row['gerencia']."' and tabla='GERENCIA' and id='".$_SESSION['id_validar']."' " ) ;
			while ($row1=mysqli_fetch_array($cons)) $tgerencia=$row1['gerencia'];
			*/
			$cons1=mysqli_query($enlace, "select * from tablas where codigo='".$row['departamento']."' and tabla='DEPARTAMENTO' and id='".$_SESSION['id_validar']."' " ) ;
			while ($row2=mysqli_fetch_array($cons1)) $tdepartamento=$row2['detalle'];
			$cons2=mysqli_query($enlace, "select * from tablas where codigo='".$row['cargo']."' and tabla='CARGO' and id='".$_SESSION['id_validar']."' " ) ;
			while ($row3=mysqli_fetch_array($cons2)) $tcargo=$row3['detalle'];
			$cons3=mysqli_query($enlace, "select * from tablas where codigo='".$row['profesion']."' and tabla='PROFESION' and id='".$_SESSION['id_validar']."' " ) ;
			while ($row4=mysqli_fetch_array($cons3)) $tprofesion=$row4['detalle'];

			$cons4=mysqli_query($enlace, "select * from tablas where codigo='".$row['municipio']."' and tabla='MUNICIPIO' and id='".$_SESSION['id_validar']."' " ) ;
			while ($row5=mysqli_fetch_array($cons4)) $tmunicipio=$row5['detalle'];

			//$pdf->cell(35,5,$tgerencia,0,0,'L',$color);
			$pdf->cell(60,5,$tdepartamento,0,0,'L',$color);
			$pdf->cell(25,5,$tallaPantalon,0,0,'C',$color);
			$pdf->cell(25,5,$tallaZapato,0,0,'C',$color);
			$pdf->cell(25,5,$tallaCamisa,0,1,'C',$color);
			$pdf->ln(2);
			$color=!$color;
	}
	$pdf->Cell(255,0,'',1,1,'C');$pdf->ln(1);
	//$pdf->cell(155,5,'Total',0,0,'R',$color);
	//$pdf->cell(100,5,number_format($ttsalsur,3),0,1,'R',$color);
	$pdf->Cell(255,0,'',1,1,'C');
	$pdf->ln(1);
	$pdf->Cell(255,0,'',1,1,'C');
	//$pdf->Output('Listado_tallas_dotacion.pdf','D');
	$pdf->Output();
} // fin de reporte TALLAS DOTACION


} // fin del else de POST
?>
